#
# spec file for package openra
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           openra
Version:        20140608
Release:        1.4%{?dist}
Url:            http://www.openra.net/
Summary:        Recreation of the early Command & Conquer games
License:        GPL-3.0
Group:          Amusements/Games/Strategy/Real Time
Source:         OpenRA-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  desktop-file-utils
# fixes some font not found errors on old Mono 2.10
BuildRequires:	dejavu-sans-fonts
#dejavu-lgc-sans-fonts-2.33-6.el7.noarch
#dejavu-lgc-sans-mono-fonts-2.33-6.el7.noarch
#dejavu-lgc-serif-fonts-2.33-6.el7.noarch
#dejavu-sans-fonts-2.33-6.el7.noarch
#dejavu-sans-mono-fonts-2.33-6.el7.noarch
#dejavu-serif-fonts-2.33-6.el7.noarch
BuildRequires:  fdupes
BuildRequires:  git
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig(mono)
#Requires:       SDL2
Requires:       freetype
Requires:       lua
Requires:       mono-core
Requires:       mono-winforms
Requires:       openal
Requires:       xdg-utils
Requires:       zenity
# TODO: package the CLI dependencies
#AutoReqProv:    off

%description
OpenRA is an Open Source, Real Time Strategy game engine.
Its primary focus is on creating an extendable platform
to recreate games in the style of the early Westwood games.
It ships mods that reimagine Command & Conquer: Tiberian Dawn,
Red Alert as well as Dune 2000 if the original game files are
provided.

%prep
%setup -q -n OpenRA-%{version}

# Remove bundled libraries
rm -rf thirdparty/linux
rm -rf thirdparty/mac
rm -rf thirdparty/windows

make version

%build
./configure
make cli-dependencies
make core
make tools
make docs

%install
make DESTDIR="%{buildroot}" prefix=%{_prefix} install-all

make DESTDIR="%{buildroot}" prefix=%{_prefix} install-linux-shortcuts

%fdupes %{buildroot}%{_prefix}/lib

%check
make test

%clean
make DESTDIR="%{buildroot}" prefix=%{_prefix} uninstall

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc DOCUMENTATION.md Lua-API.md README.md
%{_bindir}/openra
%{_bindir}/openra-editor
%{_prefix}/lib/openra/
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*

%changelog
* Mon Jun  9 2014 mailaender@opensuse.org
- update to release 20140608
* Wed Dec 25 2013 mailaender@opensuse.org
- update to release 20131223
* Sat Sep 14 2013 mailaender@opensuse.org
- update to release 20130915
* Sun Sep  1 2013 mailaender@opensuse.org
- update to release 20130514
* Sun Oct 21 2012 mailaender@opensuse.org
- update to release 20121019
* Sat Sep 15 2012 mailaender@opensuse.org
- update to release 20120630
* Fri May  4 2012 mailaender@opensuse.org
- update to release 20120504
* Sat Apr 28 2012 mailaender@opensuse.org
- update to release 20120315
* Sat Oct 30 2010 prusnak@opensuse.org
- fix build
* Thu Sep 30 2010 prusnak@opensuse.org
- created package
